import * as cdk from 'aws-cdk-lib';
import { GitHubWorkflow, AwsCredentialsProvider, GitHubWorkflowProps } from 'cdk-pipelines-github';
import { IResourceProvider, ResourceContext } from '../../../..';
export interface GithubPipelineProviderProps {
    awsCreds: AwsCredentialsProvider;
    additionalProperties?: Omit<GitHubWorkflowProps, 'synth'>;
}
export declare class GitHubPipelineProvider implements IResourceProvider {
    readonly awsCreds: AwsCredentialsProvider;
    readonly additionalProperties?: Omit<GitHubWorkflowProps, 'synth'>;
    constructor(props: GithubPipelineProviderProps);
    provide(context: ResourceContext): WrapperGitHubWorkflow;
}
export declare class WrapperGitHubWorkflow extends GitHubWorkflow {
    addStage(stage: cdk.Stage, options?: cdk.pipelines.AddStageOpts): cdk.pipelines.StageDeployment;
}
