import * as cdk from 'aws-cdk-lib';
import * as kms from 'aws-cdk-lib/aws-kms';
import * as pipelines from 'aws-cdk-lib/pipelines';
import { Construct } from 'constructs';
import { IRepositoryStack } from '../resource-providers/RepositoryProvider';
/**
 * Properties for the S3RepositoryStack.
 */
export interface S3RepositoryStackProps extends cdk.StackProps {
    readonly bucketName: string;
    readonly prefix?: string;
    readonly branch: string;
    readonly roles?: string[];
    readonly encryptionKey: kms.IKey;
}
/**
 * A stack containing an S3 bucket configured for an S3-based Git repository.
 */
export declare class S3RepositoryStack extends cdk.Stack implements IRepositoryStack {
    readonly pipelineInput: pipelines.IFileSetProducer;
    readonly pipelineEnvVars: {
        [key: string]: string;
    };
    readonly repositoryBranch: string;
    constructor(scope: Construct, id: string, props: S3RepositoryStackProps);
}
